Bug Hunting Session
Bug 86754 - fill "simple" is broken with formulas
Summary: fill "simple" is broken with formulas
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 tar...
Keywords: bibisectRequest, regression
: 84590 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-11-26 21:28 UTC by Magalaan
Modified: 2015-12-17 08:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example fill handle error (34.56 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-26 21:28 UTC, Magalaan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Magalaan 2014-11-26 21:28:17 UTC
Created attachment 110089 [details]
example fill handle error

fill handle does not copy range with non numbers and formula correctly

Wen you select a range of cells that contain labels or empty cells and a formula and copy these down with the fill handle, the labels will not be copied but replaced with the formula. In Excel the lables empty cells will be copied.
Comment 1 raal 2014-11-27 18:27:13 UTC
I can confirm with Version: 4.4.0.0.alpha2+
Build ID: d273a60bfdbf9bb7623bed38667ec0647753157c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-11-20_03:05:21

Works correct with LO 3.5, regression
Comment 2 Markus Mohrhard 2014-12-07 07:28:30 UTC
This is not really related to the empty cells. You can get the same effect with value cells or any other cell type. It related to the formula cells which overwrite anything when we hit one in our original range.
Comment 3 Markus Mohrhard 2014-12-07 07:29:53 UTC
It is also as it looks right now only the fill type simple affected. So more complex fills might still work like linear, ...
Comment 4 Markus Mohrhard 2014-12-07 08:44:32 UTC
*** Bug 84590 has been marked as a duplicate of this bug. ***
Comment 5 Commit Notification 2014-12-07 08:57:47 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cfca1b859bfb6b2dbe18d79a46f689fc6dbfbab

handle all fill cases correctly, fdo#86754

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-07 08:57:50 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6304affe916ed7e310da7b348f7d2ff166718f5

add test case for fdo#86754

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-07 08:59:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb809b311f51fa6fbf179d1b690fc06dfec5153d&h=libreoffice-4-4

handle all fill cases correctly, fdo#86754

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Markus Mohrhard 2014-12-07 08:59:39 UTC
Review request for 4-3 is in gerrit.
Comment 9 Commit Notification 2015-01-08 15:23:14 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8176253a7f8b061eb18015763ca674ea959ddf37&h=libreoffice-4-3

handle all fill cases correctly, fdo#86754

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:40:14 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]